From d3ebde7427514ca9ab92b6f7937ebb5ab8efb063 Mon Sep 17 00:00:00 2001
From: Poncho <poncho@spahan.ch>
Date: Sun, 27 Sep 2015 14:25:58 +0200
Subject: [PATCH] make zeitgeist dependency optional

---
 configure.ac | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

diff --git a/configure.ac b/configure.ac
index 19a44b4..afb0c3a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -83,9 +83,24 @@ PKG_CHECK_MODULES(BIJIBEN,
                     uuid
                     webkitgtk-3.0])
 
-PKG_CHECK_MODULES(ZEITGEIST, zeitgeist-2.0, [have_zeitgeist=yes], [have_zeitgeist=no])
 
-AM_CONDITIONAL(BUILD_ZEITGEIST, test x$have_zeitgeist = xyes)
+# check for zeitgeist
+AC_ARG_ENABLE([zeitgeist],
+  [AS_HELP_STRING([--disable-zeitgeist], [Disable zeitgeist support @<:@auto@:>@])],
+  [:],
+  [enable_zeitgeist=auto])
+
+AS_IF([test "$enable_zeitgeist" != "no"],
+  [PKG_CHECK_MODULES([ZEITGEIST],
+    [zeitgeist-2.0],
+    [enable_zeitgeist=yes],
+    [AS_IF([test "$enable_zeitgeist" = "yes"],
+      [AC_MSG_ERROR([zeitgeist-2.0 required, but not found.])],
+      [enable_zeitgeist=no])
+    ])
+])
+
+AM_CONDITIONAL([BUILD_ZEITGEIST], [test "$enable_zeitgeist" = "yes"])
 
 
 GLIB_GSETTINGS
@@ -113,7 +128,7 @@ src/Makefile
 AC_OUTPUT
 
 echo "	Version:	        $VERSION
-        Enable Zeitgeist  $have_zeitgeist
+        Enable Zeitgeist  $enable_zeitgeist
 
 	Run make to compile."
 
-- 
2.4.9

